---
name: Report a bug with the UI, Frontend or Lovelace
about: Report an issue related to the Home Assistant frontend.
labels: bug
---

<!-- READ THIS FIRST:
- If you need additional help with this template please refer to https://www.home-assistant.io/help/reporting_issues/
- Make sure you are running the latest version of Home Assistant before reporting an issue: https://github.com/home-assistant/home-assistant/releases
- Do not report issues for custom Lovelace cards.
- Provide as many details as possible. Paste logs, configuration samples and code into the backticks.
DO NOT DELETE ANY TEXT from this template! Otherwise, your issue may be closed without comment.
-->

## Checklist

- [ ] I have updated to the latest available Home Assistant version.
- [ ] I have cleared the cache of my browser.
- [ ] I have tried a different browser to see if it is related to my browser.

## The problem

<!--
  Describe the issue you are experiencing here to communicate to the
  maintainers. Tell us about the current behavior.
  If possible provide a screenshot with a description.
-->

## Expected behavior

<!--
  Describe what you expected to happen or it should look/behave.
  If possible provide a screenshot with a description.
-->

## Steps to reproduce

<!--
  Provide steps for us, that helps reproducing your issue.
  For example:
    1. Add a climate integration
    2. Navigate to Lovelace
    3. Click more info of the climate entity
    4. Set the HVAC action to heat
    5. Set the temperature higher than the current temperature
    6. Set the HVAC action to cool
-->

## Environment

<!--
  Provide details about the versions you are using, which helps us reproducing
  and finding the issue quicker. Version information is found in the
  Home Assistant frontend: Configuration -> Info.

  Browser version and operating system is important! Please try to replicate
  your issue in a different browser and be sure to include your findings.
-->

- Home Assistant release with the issue:
- Last working Home Assistant release (if known):
- Browser and browser version:
- Operating system:

## State of relevant entities

<!--
  If your issue is about how an entity is shown in the UI, please add the state
  and attributes for all situations with a screenshot of the UI.
  You can find this information at `/developer-tools/state`
-->

```yaml

```

## Problem-relevant frontend configuration

<!--
  An example configuration that caused the problem for you, e.g. the YAML configuration
  of the used cards. Fill this out even if it seems unimportant to you. Please be sure
  to remove personal information like passwords, private URLs and other credentials.
-->

```yaml

```

## Javascript errors shown in your browser console/inspector

<!--
  If you come across any Javascript or other error logs, e.g. in your browser
  console/inspector please provide them.
-->

```txt

```

## Additional information
